spot_fixes_report_list <- list(
  list(
    # This report is actually an amended report
    ids = list(report_id = 195397),
    values = list(amended = TRUE)
  ),
  list(
    # This report is actually the first one, not amended
    ids = list(report_id = 159437),
    values = list(amended = FALSE)
  ),
  list(
    ids = list(report_id = 161042),
    values = list(doc_name = "Mid Year Semi-Annual")
  )
)

spot_fix_report_list <- function(report_list) {
  for (fix in spot_fixes_report_list) {
    fix_tbl <- fix |> map(as_tibble) |> unname() |> list_cbind()
    report_list <- rows_update(report_list, fix_tbl, by = names(fix$ids))
  }

  report_list
}
